#include <bits/stdc++.h>

using namespace std;
char a[500][500];
int main()
{
    int h,w;
    cin>>h>>w;
    for(int i=0;i<h;i++){
        for(int j=0;j<w;j++){
            cin>>a[i][j];
        }
    }
    cout<<"-1";
    return 0;
}